/* ========================================
 *  FinalClip - FinalClip.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) Airwindows, Airwindows uses the MIT license
 * ======================================== */

#ifndef __FinalClip_FinalClip_H
#define __FinalClip_FinalClip_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::FinalClip {
enum {
  kNumParameters = 0
}; //


class FinalClip final : public SfxCoreExtensionV1
{
public:
    FinalClip();
    ~FinalClip();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double lastSampleL;
	double intermediateL[16];
	bool wasPosClipL;
	bool wasNegClipL;
	double lastSampleR;
	double intermediateR[16];
	bool wasPosClipR;
	bool wasNegClipR; //Stereo ClipOnly2
	
	//uint32_t fpdL;
	//uint32_t fpdR; //leave off
	//default stuff
	
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
